from typing import Annotated

from fastapi import APIRouter

from app.api.routes.shop import shop_login_routes, shop_user_routes

shop_router = APIRouter(
    prefix="/shop/{shop_uuid}",
    tags=["Shop"]
)


shop_router.include_router(shop_login_routes.router)
shop_router.include_router(shop_user_routes.router)
