class SwagShopError(Exception):
    """
        Generic error to be raised throughout the entire app.
        All other custom errors extend this class
    """


class RepositoryError(SwagShopError):
    """Generic error occuring in a repository"""


class CrudError(SwagShopError):
    """Generic error occuring in a service"""
