export class ApiError extends Error {
	response: string;
	status: number;

	constructor(message: string, response: string, status: number) {
		super(message);
		this.name = "ApiError";
		this.response = response;
		this.status = status;
	}
}
