import MainNavbar from "@/components/main-navbar";
import Features from "./components/features";
import Hero from "./components/hero";
import Pricing from "./components/pricing";
import Faq from "./components/faq";
import CallToAction from "./components/call-to-action";

export default function MainPage() {
	return (
		<>
			<MainNavbar />
			<div className="flex min-h-screen flex-col items-center justify-center overflow-hidden p-6 gap-24">

				{/* Top screen padding */}
				<div className="h-[20vh] min-h-[20vh]"></div>
				<Hero />
				<Features />
				<Pricing />
				<Faq />
				<CallToAction />

				{/* [Optional] Consider inserting an image or illustration here to reinforce the platform’s purpose. */}
			</div>
		</>
	);
}
