from fastapi import APIRouter

from app.api.routes import cart_routes, login_routes, shop, user_routes, utils_routes

api_router = APIRouter()

api_router.include_router(cart_routes.router)
api_router.include_router(user_routes.router)
api_router.include_router(utils_routes.router)
api_router.include_router(login_routes.router)
api_router.include_router(shop.shop_router)
